package com.yfd.platform.modules.basedata.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.basedata.domain.SubstationMaindeviceResume;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author zhengsl
 * @since 2025-06-05
 */
public interface SubstationMaindeviceResumeMapper extends BaseMapper<SubstationMaindeviceResume> {

    Page<Map<String, Object>> getMaindeviceResume(Page<Map<String, Object>> page, String stationCode, String areaId,
                                                  String bayId, String deviceType, String mainDeviceName,
                                                  String startDate, String endDate);

}
