package com.yfd.platform.utils.wrapper;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SortOrder {
    /**
     * 排序字段（对应实体类属性名）
     */
    private String property;

    /**
     * 排序方向
     */
    private SortDirection direction = SortDirection.ASC; // 默认升序

    /**
     * 快速构建方法
     */
    public static SortOrder of(String property, SortDirection direction) {
        return new SortOrder(property, direction);
    }
}
