package com.yfd.platform.modules.basedata.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhengsl
 * @since 2025-06-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("iis_substation_maindevice_resume")
public class SubstationMaindeviceResume implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private String id;

    /**
     * 类型：1:缺陷记录；2:大修记录；3:退出再投运记录
     */
    private String type;

    /**
     * 时间
     */
    private String time;

    /**
     * 描述
     */
    private String comment;

    /**
     * 数据状态
     */
    private String datastatus;

    /**
     * 修改人
     */
    private String lastmodifier;

    /**
     * 最近修改时间
     */
    private LocalDateTime lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;

    /**
     * 主设备id
     */
    private String mainDeviceId;

    /**
     * 主设备类型
     */
    private String deviceType;

    /**
     * 主设备名称
     */
    private String mainDeviceName;

    /**
     * 间隔id
     */
    private String bayId;

    /**
     * 间隔名称
     */
    private String bayName;

    /**
     * 变电站编号
     */
    private String stationCode;

    /**
     * 变电站名称
     */
    private String stationName;

    /**
     * 区域id
     */
    private String areaId;

    /**
     * 区域名称
     */
    private String areaName;


}
