package com.yfd.platform.modules.basedata.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yfd.platform.modules.basedata.domain.SubstationMaindeviceResume;
import com.yfd.platform.modules.basedata.mapper.SubstationMaindeviceResumeMapper;
import com.yfd.platform.modules.basedata.service.ISubstationMaindeviceResumeService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhengsl
 * @since 2025-06-05
 */
@Service
public class SubstationMaindeviceResumeServiceImpl extends ServiceImpl<SubstationMaindeviceResumeMapper, SubstationMaindeviceResume> implements ISubstationMaindeviceResumeService {

    @Resource
    private SubstationMaindeviceResumeMapper maindeviceResumeMapper;
    @Override
    public Page<Map<String, Object>> getMaindeviceResume(Page<Map<String, Object>> page, String stationCode, String areaId, String bayId, String deviceType, String mainDeviceName, String startDate, String endDate) {
        return maindeviceResumeMapper.getMaindeviceResume(page, stationCode, areaId, bayId,deviceType, mainDeviceName,startDate,endDate);
    }
}
