package com.yfd.platform.utils.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel("查询构造器")
public class QueryCondition {
    @ApiModelProperty("当前页")
    private Integer current = 1;
    @ApiModelProperty("页大小")
    private Integer size = 10;
    @ApiModelProperty("条件过滤器")
    private Map<String, Object> filters;
    // 修改为 SortOrder 列表
    @ApiModelProperty("分页参数")
    private List<SortOrder> sortOrders;

}
